2.3 Options en ligne de commande pour convert-ly

L’utilitaire convert-ly se lance de la manière suivante :

convert-ly [option]… fichier

Vous pouvez utiliser les options :

-d, --diff-version-update

actualise la valeur de \version, uniquement si le fichier a été effectivement modifié. En l’absence de cette option, ou bien si une conversion quelle qu’elle soit a modifié le fichier, la mention de version est porté à la valeur de la règle appliquée la plus récente.

-e, --edit

pour éditer directement le fichier d’origine. Le fichier originel est renommé en que ‘monfichier.ly~’. Ce fichier de sauvegarde, selon le système d’exploitation, peut être « caché ».

-b, --backup-numbered

combine à l’option ‘-e’, pour numéroter les sauvegardes de telle sorte qu’aucune version antérieure ne soit écrasée. Les fichiers de sauvegarde, selon le système d’exploitation, peuvent être « cachés ».

-f, --from=from-patchlevel

pour définir le numéro de version à partir duquel vous voulez effectuer les conversions. Lorsque cette option n’est pas activée, convert-ly tentera de le déterminer sur la foi de la mention de \version contenue dans le fichier. Cette option s’utilise sous la forme : --from=2.10.25

-h, --help

visualiser l’aide et quitter.

-l loglevel, --loglevel=loglevel

pour régler le degré de verbosité à loglevel. Les différentes valeurs sont NONE, ERROR, WARNING, PROGRESS (par défaut) et DEBUG.

-n, --no-version

Normalement, convert-ly ajoutera une indication de \version à votre fichier s’il n’en comporte pas. Cette option permet de passer outre.

-s, --show-rules

pour afficher les conversions applicables.

-t, --to=to-patchlevel

pour n’appliquer les conversions que jusqu’à une version déterminée. Il s’agit par défaut de la dernière version disponible. Le niveau demandé doit être supérieur à la version de départ.

convert-ly --to=2.14.1 monfichier.ly

Lorsqu’il s’agit de fragments inclus dans un fichier texinfo, il vous faudra lancer

convert-ly --from=… --to=… --no-version *.itely

Lorsque vous désirez savoir quels changements de syntaxe sont intervenus entre deux versions de LilyPond, lancez

convert-ly --from=ancienne --to=récente -s

Autres langues : English, deutsch, español, magyar, italiano, 日本語.
About automatic language selection.

LilyPond — Utilisation des programmes v2.17.97 (branche de développement).